Home | All Classes | Grouped Classes | Index | Search

# CL_GlyphBuffer::get_line

Returns a single CL_GlyphBuffer::Range containing the line that contains a given glyph.

    	CL_GlyphBuffer::Range get_line(
    		int idx);

Parameters:

idx
  The index in the glpyhs vector of the glyph.

Detailed description:

The CL_GlyphBuffer's contents (the glyphs vector, the font markers map, and the effects maps), if any, must not have been created/altered by anything but CL_Font::draw_to_gb() or CL_TextStyler::draw_to_gb() or the CL_GlyphBuffer justification functions or using CL_GlyphBuffer::remove to take glyphs off the end for this method to work.

See also:

CL_TextStyler | CL_GlyphBuffer | CL_Font

Questions or comments, write to the ClanLib mailing list.